ata_std_ports
Prev | Chapter 4. libata Library | Next

## Name

ata_std_ports — initialize ioaddr with standard port offsets.

## Synopsis

`void ata_std_ports (` | struct ata_ioports * | ioaddr`)`;

## Arguments

`ioaddr`

  IO address structure to be initialized

## Description

Utility function which initializes data_addr, error_addr, feature_addr, nsect_addr, lbal_addr, lbam_addr, lbah_addr, device_addr, status_addr, and command_addr to standard offsets relative to cmd_addr.

Does not set ctl_addr, altstatus_addr, bmdma_addr, or scr_addr.

Prev | Up | Next
ata_host_detach | Home | ata_pci_remove_one